import { Expression, ExpressionOrLiteral } from '../expression';
import { StatementPossibilities, Statements } from './statement';
export declare function If(conditional: ExpressionOrLiteral, statements: StatementPossibilities, objectInitializer?: Partial<IfStatement>): IfStatement;
export declare class IfStatement extends Statements {
    private conditional;
    constructor(conditional: ExpressionOrLiteral, statements: StatementPossibilities, objectInitializer?: Partial<IfStatement>);
    readonly implementation: string;
}
export declare function While(conditional: ExpressionOrLiteral, statements: StatementPossibilities, objectInitializer?: Partial<IfStatement>): WhileStatement;
export declare class WhileStatement extends Statements {
    conditional: Expression;
    constructor(conditional: ExpressionOrLiteral, statements: StatementPossibilities, objectInitializer?: Partial<IfStatement>);
    readonly implementation: string;
}
export declare class ElseIfStatement extends Statements {
    conditional: Expression;
    constructor(conditional: ExpressionOrLiteral, statements: StatementPossibilities, objectInitializer?: Partial<IfStatement>);
    readonly implementation: string;
}
export declare function ElseIf(conditional: ExpressionOrLiteral, statements: StatementPossibilities, objectInitializer?: Partial<IfStatement>): ElseIfStatement;
export declare function Else(statements: StatementPossibilities, objectInitializer?: Partial<ElseStatement>): ElseStatement;
export declare class ElseStatement extends Statements {
    constructor(statements: StatementPossibilities, objectInitializer?: Partial<IfStatement>);
    readonly implementation: string;
}
export declare function Not(conditional: Expression): Expression;
//# sourceMappingURL=if.d.ts.map