"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const expression_1 = require("../expression");
const statement_1 = require("./statement");
function Return(expression, objectInitializer) {
    return new ReturnStatement(expression, objectInitializer);
}
exports.Return = Return;
class ReturnStatement extends statement_1.Statements {
    constructor(expression, objectInitializer) {
        super();
        this.expression = expression;
        this.apply(objectInitializer);
    }
    get implementation() {
        return `return ${this.expression ? expression_1.valueOf(this.expression) : ''};`;
    }
}
exports.ReturnStatement = ReturnStatement;
//# sourceMappingURL=return.js.map